MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004831ATutorUpgradingpublic2011-08-24 13:092011-08-29 14:11
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.3 
Summary0004831: Upgrade Broken 203
DescriptionUpgrading from 163 to 203, after entering a course previously created in 163, I get the following error, and all the tabs and side menus are missing.

Warning: array_intersect(): Argument 0000002 is not an array in /var/www/ATutor163/include/header.inc.php on line 251

This does not occur with a fresh install.
Steps To ReproduceInstall 1.6.3
Create a course and import a backup of the howto course
do a standard upgrade
TagsNo tags attached.
Affects versionSVN
SVN Revision#11415
Attached Files

- Relationships

-  Notes
(0005224)
greg (administrator)
2011-08-24 15:53

also test on an upgrade from 2.0.2, with the same result.
(0005225)
greg (administrator)
2011-08-24 17:13

Issue exists in module.class.php where AT_MODULE_PATH is now being modified as a result of the session_path security changes.
(0005240)
cindy (administrator)
2011-08-25 13:19

Solution: as AT_MODULE_PATH is based on AT_INCLUDE_PATH, which needs to be defined in upgrade script pointing to the relative path to the include directory of atutor root rather than the include directory for install.

Affected scripts:
install/include/common.inc.php
install/include/step3.php
install/include/ustep3.php
install/upgrade.php
(0005271)
greg (administrator)
2011-08-29 14:11

2.0.3 bugs resolved and closed round 2

- Issue History
Date Modified Username Field Change
2011-08-24 13:09 greg New Issue
2011-08-24 13:28 greg Assigned To => cindy
2011-08-24 13:28 greg Status new => assigned
2011-08-24 15:53 greg Note Added: 0005224
2011-08-24 17:13 greg Note Added: 0005225
2011-08-25 13:19 cindy SVN Revision# => 11415
2011-08-25 13:19 cindy Note Added: 0005240
2011-08-25 13:19 cindy Status assigned => resolved
2011-08-25 13:19 cindy Fixed in Version => 2.0.3
2011-08-25 13:19 cindy Resolution open => fixed
2011-08-29 14:11 greg Note Added: 0005271
2011-08-29 14:11 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker